"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FavoriteQuerySchema = exports.RecentQuerySchema = void 0;
const compass_user_data_1 = require("@mongodb-js/compass-user-data");
const queryProps = {
    filter: compass_user_data_1.z.any().optional(),
    project: compass_user_data_1.z.any().optional(),
    collation: compass_user_data_1.z.any().optional(),
    sort: compass_user_data_1.z.any().optional(),
    skip: compass_user_data_1.z.number().optional(),
    limit: compass_user_data_1.z.number().optional(),
    update: compass_user_data_1.z.any().optional(),
    hint: compass_user_data_1.z.any().optional(),
};
const commonMetadata = {
    _id: compass_user_data_1.z.string().uuid(),
    _lastExecuted: compass_user_data_1.z
        .union([compass_user_data_1.z.coerce.date(), compass_user_data_1.z.number()])
        .transform((x) => new Date(x)),
    _ns: compass_user_data_1.z.string(),
    _host: compass_user_data_1.z.string().optional(),
};
exports.RecentQuerySchema = compass_user_data_1.z.object({
    ...queryProps,
    ...commonMetadata,
});
exports.FavoriteQuerySchema = compass_user_data_1.z.object({
    ...queryProps,
    ...commonMetadata,
    _name: compass_user_data_1.z.string().nonempty(),
    _dateModified: compass_user_data_1.z
        .union([compass_user_data_1.z.coerce.date(), compass_user_data_1.z.number()])
        .optional()
        .transform((x) => (x !== undefined ? new Date(x) : x)),
    _dateSaved: compass_user_data_1.z
        .union([compass_user_data_1.z.coerce.date(), compass_user_data_1.z.number()])
        .transform((x) => new Date(x)),
});
//# sourceMappingURL=query-storage-schema.js.map